### Function

# Mtk AnonymousFile close_fd

#### Declaration [src]

    void
    mtk_anonymous_file_close_fd (
      int fd
    )

#### Description [src]

Release a file descriptor returned by mtk_anonymous_file_open_fd(). This function must be called for every file descriptor created with `mtk_anonymous_file_open_fd()` to not leak any resources.

If this function fails errno is set.

This function is not directly available to language bindings.

#### Parameters

`fd`

  Type: `int`

  A file descriptor obtained using mtk_anonymous_file_open_fd().